Subject: Re: [PATCH 1/2] git-submodule: replace duplicated code with a module_list function

From: Mark Levedahl <[email-masked]>
Date: Fri, 22 Aug 2008 20:36:48 -0400

Junio C Hamano wrote:
>> a)  What specific option or options to git ls-files makes sense here?
>> b) How do we distinguish the ls-files options from the command to be
>> executed?
>>     
>
> Ah, I was blind.  For (a) I do not see any need for "option" but
> pathspecs; and (b) I agree is a real problem.  We of course could do
> something like:
>
>     $ git submodule foreach -c 'your command here' your pathspec here
>
>   
As the command is required, while pathspec is optional, the latter 
should require the option, not the former. How about...

    $ git submodule foreach [-l pathspec] 'command'

or

    $ git submodule foreach [<pathspec> --] 'command'

Mark